## org.gnu.gtk
Class WindowGroup

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.WindowGroup

public class WindowGroup
extends GObject

Class that provides the ability to group several Windows together.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`WindowGroup()` Construct a new WindowGroup

Method Summary
`void` `addWindow(Window window)` Add a Window to this WindowGroup
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_window_group_add_window(Handle windowGroup, Handle window)`
`protected static int` `gtk_window_group_get_type()`
`protected static Handle` `gtk_window_group_new()`
`protected static void` `gtk_window_group_remove_window(Handle windowGroup, Handle window)`
`void` `removeWindow(Window window)` Remove a Window from this WindowGroup

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowGroup

    public WindowGroup()

  Construct a new WindowGroup

Method Detail

### addWindow

    public void addWindow(Window window)

  Add a Window to this WindowGroup

  Parameters:
    `window` - The Window to be added to this WindowGroup

### removeWindow

    public void removeWindow(Window window)

  Remove a Window from this WindowGroup

  Parameters:
    `window` - The Window to be removed from this WindowGroup.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_window_group_get_type

    protected static final int gtk_window_group_get_type()

### gtk_window_group_new

    protected static final Handle gtk_window_group_new()

### gtk_window_group_add_window

    protected static final void gtk_window_group_add_window(Handle windowGroup,
                                                            Handle window)

### gtk_window_group_remove_window

    protected static final void gtk_window_group_remove_window(Handle windowGroup,
                                                               Handle window)